sockets_priv.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/err.h"`
`#include "lwip/sockets.h"`
`#include "lwip/sys.h"`

## Data Structures

struct | lwip_sock
struct | lwip_select_cb

## Macros

#define | SELWAIT_T u8_t

## Detailed Description

Sockets API internal implementations (do not use in application code)

## Macro Definition Documentation

## SELWAIT_T

#define SELWAIT_T u8_t

This is overridable for the rare case where more than 255 threads select on the same socket...